
set echo on

SELECT deptno
,      ename
,      sal
,      DENSE_RANK() OVER
          (PARTITION BY deptno
           ORDER BY sal DESC NULLS LAST) AS dept_ranking
,      DENSE_RANK() OVER
          (ORDER BY sal DESC NULLS LAST) AS company_ranking
FROM   emp
ORDER  BY
       deptno;

