
set echo on

SELECT deptno
,      ename
,      sal
,      ROUND(average_sal_dept,0) AS average_sal_dept
,      ROUND(sal - average_sal_dept,0) AS sal_variance
FROM  (SELECT deptno
       ,      ename
       ,      sal
       ,      AVG(sal) OVER
                 (PARTITION BY deptno) AS average_sal_dept
       FROM   emp);

