
set echo on

SELECT ename
,      hiredate
,      FIRST_VALUE(ename) OVER
          (ORDER BY hiredate ASC NULLS LAST
           RANGE BETWEEN 50 PRECEDING AND 50 FOLLOWING) AS first_employee
,      LAST_VALUE(ename) OVER
          (ORDER BY hiredate ASC NULLS LAST
           RANGE BETWEEN 50 PRECEDING AND 50 FOLLOWING) AS last_employee
FROM   emp
ORDER  BY
       hiredate;

