
set echo on

SELECT ename
,      hiredate
,      FIRST_VALUE(ename) OVER
          (ORDER BY hiredate ASC NULLS LAST
           ROWS 2 PRECEDING) AS two_employees_back
,      FIRST_VALUE(ename) OVER
          (ORDER BY hiredate DESC NULLS LAST
           ROWS 3 PRECEDING) AS three_employees_forward
FROM   emp
ORDER  BY
       hiredate;

